Click or drag to resize

TaperSpaceMorph Constructor

Constructs a taper space morph.

Namespace:  Rhino.Geometry.Morphs
Assembly:  RhinoCommon (in RhinoCommon.dll)
Syntax
public TaperSpaceMorph(
	Point3d start,
	Point3d end,
	double startRadius,
	double endRadius,
	bool bFlat,
	bool infiniteTaper
)

Parameters

start
Type: Rhino.GeometryPoint3d
Start of the taper axis.
end
Type: Rhino.GeometryPoint3d
End of the taper axis.
startRadius
Type: SystemDouble
Radius at start point.
endRadius
Type: SystemDouble
Radius at end point.
bFlat
Type: SystemBoolean
If true, then a one-directional, one-dimensional taper is created.
infiniteTaper
Type: SystemBoolean
If false, the deformation takes place only the length of the axis. If true, the deformation happens throughout the object, even if the axis is shorter.
Version Information

Rhino for Mac

Supported in: 5.4

Rhino for Windows

Supported in: 6.8
See Also